
#ifndef V4L2_INCLUDED
#define V4L2_INCLUDED

#include <asm/types.h>
#include <linux/videodev2.h>

struct capture_info_t
{
  struct v4l2_capability vid_cap;
  struct v4l2_format vid_fmt;
  int video_fd;
  unsigned char *buffer;
  int buffer_len;
  unsigned char *picture;
  int picture_len;
  int width,height;
  /* int convert_type; */
  int device_num; // FIXME - this should go away maybe
  int max_fps;
  int format;
  int channel;
};

int open_capture(struct capture_info_t *capture_info, char *dev_name);
unsigned char *capture_image(struct capture_info_t *capture_info);
int close_capture(struct capture_info_t *capture_info);

#endif

